/*
		     Endeavour Devices File IO
 */

#ifndef EDVDEVICESFIO_H
#define EDVDEVICESFIO_H

#include <glib.h>
#include "edvtypes.h"
#include "edvdevices.h"


extern void EDVDevicesListUpdateMountStatesFromSystem(
	edv_device_struct **list, gint total
);

extern edv_device_struct **EDVDevicesListLoadFromFile(
	const gchar *filename, gint *total
);
extern void EDVDeviceListSaveToFile(
	const gchar *filename,
	edv_device_struct **list, gint total
);


#endif	/* EDVDEVICESFIO_H */
